(
INETD_CONF=etc/inetd.conf
echo -n "Adding entry in ${INETD_CONF}: "
if grep -q pimpd ${INETD_CONF} 2>/dev/null ; then
	echo "already there"
else
	cat << EOS | sed -i~ -f - ${INETD_CONF}
s/^[[:space:]]*auth/#auth/
/Ident/i# Peter's Ident Masquerading Program Daemon\\
# The masquerading host is the default gateway\\
auth stream tcp nowait nobody /usr/sbin/pimpd pimpd -g\\
# The masquerading host has address 192.168.1.2\\
#auth stream tcp nowait nobody /usr/sbin/pimpd pimpd -m 192.168.1.2\\
# This machine _is_ the masquerading router\\
#auth stream tcp nowait nobody /usr/sbin/pimpd pimpd\\
#
EOS
	echo "done"
fi
)
( ps ax | grep -q inetd 2>/dev/null && echo "Restarting inetd..." && killall -HUP inetd )
